Subject: Re: PCH support

From: Russ Allbery <[email-masked]>
Date: Fri, 23 Dec 2011 22:44:36 -0800

Olaf van der Spek <[email-masked]> writes:

> Why not? It can drastically reduce build times of C++ projects. I have
> little experience with C projects, but I assume it speeds those up as
> well.

It's unlikely to help a great deal with most C projects, since most C
headers just aren't very complicated and other parts of the compilation
process dominate the time.  C++ is significantly different than C in how
much complexity it puts into its headers.

-- 
Russ Allbery ([email-masked])             <http://www.eyrie.org/~eagle/>